# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# C:\b\abs_4cyru7_wp3\clone\recipe, last modified Thu Jan 18 18:17:52 2024
# ------------------------------------------------

package:
  name: zeromq
  version: 4.3.5
source:
  fn: zeromq-4.3.5.tar.gz
  patches:
    - 001-windows-install.patch
  sha256: 6653ef5910f17954861fe72332e68b03ca6e4d9c7160eb3a8de5a5a913bfab43
  url: https://github.com/zeromq/libzmq/releases/download/v4.3.5/zeromq-4.3.5.tar.gz
build:
  number: '0'
  run_exports:
    - zeromq >=4.3.5,<4.3.6.0a0
  string: hd77b12b_0
requirements:
  build:
    - bzip2 1.0.8 he774522_0
    - cmake 3.26.4 h693b641_0
    - libuv 1.44.2 h2bbff1b_0
    - lz4-c 1.9.4 h2bbff1b_0
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-patch 2.7.5 2
    - msys2-conda-epoch 20160418 1
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
    - xz 5.4.5 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
    - zstd 1.5.5 hd43e919_0
  host:
    - libsodium 1.0.18 h62dcd97_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
  run:
    - libsodium >=1.0.18,<1.0.19.0a0
    - libsodium >=1.0.18,<1.0.19.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
about:
  description: 'The ZeroMQ lightweight messaging kernel is a library which extends
    the standard socket

    interfaces with features traditionally provided by specialised messaging middleware
    products.

    ZeroMQ sockets provide an abstraction of asynchronous message queues, multiple
    messaging

    patterns, message filtering (subscriptions), seamless access to multiple transport
    protocols and more.

    '
  dev_url: https://github.com/zeromq/libzmq
  doc_url: https://zeromq.org/get-started/
  home: https://zeromq.org
  license: MPL-2.0
  license_family: Other
  license_file: LICENSE
  summary: A high-performance asynchronous messaging library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4c4d6609-3a4d-4299-aedf-6c780286cf4e
  recipe-maintainers:
    - JohanMabille
    - SylvainCorlay
    - davidbrochart
    - jakirkham
    - minrk
  remote_url: git@github.com:AnacondaRecipes/zeromq-feedstock.git
  sha: dfa618872014ed6675082a7b7ea030cbbc86ae69
